Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Points

List
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.4/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"0e514542-11a1-4e18-a8fd-a08d160bacc7","userId":"a90a5110-f32b-448b-8799-5cbcbab631bb","creationDateTime":"2026-11-01T10:03:11.6877683+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"9e2887cf-5c7c-48b1-a522-d929fa0b94ed","userId":"f9e69cb8-7064-40d4-9f6b-7a8db2eb0cf7","creationDateTime":"2026-11-04T10:03:11.6877683+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string